View Issue Details

IDProjectCategoryView StatusLast Update
0005259Talermerchant backend API (C)public2018-04-15 20:33
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005259: merchant backend crashes on /pay after refund
DescriptionThe merchant backend crashes when trying to replay /pay after a refund. This is a perfectly normal operation, for example when you get a partial refund for a session-bound item and then want to view it again after deleting cookies.
Steps To ReproduceCurl request to reproduce the crash is attached.
Additional InformationJan 19 15:31:55-690830 taler-merchant-httpd-23804 INFO /pay: picked
instance FSF
Jan 19 15:31:55-693171 taler-merchant-httpd-23804 ERROR Assertion failed
at taler-merchant-httpd_pay.c:719.
TagsNo tags attached.

Activities

Florian Dold

2018-01-20 13:19

manager  

curl-merchant-refund-pay-crash.txt (13,395 bytes)
curl 'https://backend.test.taler.net/pay' -H 'Pragma: no-cache' -H 'Origin: chrome-extension://kiefficopbhhojgbggjjcfbinofpnljf' -H 'Accept-Encoding: gzip, deflate, br' -H 'Accept-Language: en-US,en;q=0.9,de-DE;q=0.8,de;q=0.7' -H 'User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36' -H 'Content-Type: application/json;charset=UTF-8' -H 'Accept: application/json, text/plain, */*' -H 'Cache-Control: no-cache' -H 'Connection: keep-alive' --data-binary '{"coins":[{"coin_pub":"HYAPY465HFFK2QT6J876ARKDE16GK3Q2X6T576DYNYYGDDQ1X940","coin_sig":"7HXJPR1V2YKH5X1W4XKCV31PC6Y4J3HZWH14RK7XF778GWA6HRQ7DFHYK3MZBNA1VPRNNMCGPEMQ8T77H7RX5QH89F9462HG6YDCG18","contribution":{"currency":"TESTKUDOS","fraction":10000000,"value":0},"denom_pub":"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30HHM6WW3CHHN8N1K8GHN6CT3CHJ38CWMAH9J84W42DSS6WWKJCT484WM8CHH74W3GD1S6RV46CA48CVK0CA570TM6CT668W46DHN611MACSG851KGHJ68MWK8DJ38GV3ECHN6CV42G9Q88S3ADSM74WKEGJ56GR3CC1P70VKECA58D23AD9R6RVKEE9N8MRM6GT28CVM2E9G6GWMADSQ71244G9R64WM8E9S8H2K4CA46GV3JE236H24AC1N70T3ECSS611MAC9M752M6H2364WM4H1J8GR32HA288VMCGT5610M4GSK64R34D9P8MTKAGHP8CVKJC1Q6H0KJCHK752M6CHP8N1K2H1R892MAG9N8D23GCT384W3EH1K6N1K8GA18N330C246GV32GSR84TKAC1R68V48CJ674RK0C9H8MRKADSS88W46DT28MRK8E1M68T38DSQ6GR3GE1R84W4CE1H6RSK6E2168TKADA388T44C216H2KAD1M60S38CA56X242GT574SKCH1J6WS38DJ284R48H9K8RSK6HJ56X0M4H2475334DSM74T4CH1R6N13AH9M6MSM4HHQ8S130GA48923CHJ56MT4CE9S6GTKECHP7514CGSM8N232CHH84R32HA58934AH9N6MR4CE1Q85334H9R6GWM2CT66S33JD9J8MRM4EA174T42CSM8D1M6GHJ6WTKEDSP68VKEGJ16113GDA28923CHHP6MV44G9H8N230H9J70W36GT4851KEC1R6N236HHK70VMCGJ48D24CCHS84R30HA588W4ADHS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00","exchange_url":"https://exchange.test.taler.net/","ub_sig":"51SPJSSDESGPR80A40M74WV140520818ECG26H9H8S14ADA48GR3AHHR6MW42GSG6924CDT460V42D9S6GW34H9Q8H1M8DHJ64V30E9R6WS44G9N8MSMCC1P652KAD9R751M4GHJ6WTK2GHJ64SKEGA3850M8EA660WK2C1R6513CH1P70V3GDHP70VKEGHK88R3CC238N330CT56CVM4H1N89244E1R8RVK8D1G6MT4CGHR6WS3GC1N8GVKJD9R6H1MAE2260T44E216H2KAD1J610MAGA36H238CJ470VM8EA58S244HA464R3EDJ16CRKEGA3891K4E218GVM6DJ270RKJE256133CCT26RW3AC9S68VM6D9M88TM4D1S60RKJCHP6RVM4GHQ6CR4AE1M88WMCDSQ6N138D236MW44CA56RW46DJ684T4CGHH74TKEE9J74VK4H9R6RS3GCT56S332DA58CS4ACHG60T3JHA564T3AD2684WK6D248MVMCH216CR36E246N1KCE9K6CW32CHH8533CGJ56GW3JHHS850K8C9J8CTM2CHM6S138CHQ6WTM2DJ585246C1K6S1MCH9R8MW4CGHG88VK6CT28N1KJDJ36MW36DHS84R32G9J6133AEA26WVKEE1G8MRKJC1K70TM2D9P74TK4C1M8RR46E9R6CTK4H9N6CV30GHH651K0H9P6WRK6CHM84TK2E256S346D1P74WK2D1M8H1KJG9G8S23ADHH70SK4EA48GRK8H9K68T3AD9Q8N24CC1J8D13JH9M8CTK4D1Q60SMCEA16WVM4DA36WS34CJ170RMAEA56GRM6D1N4CMGM81054520A8A00"},{"coin_pub":"084X1B1HXPFAPVVNCQQX3V274GWCT73AXWPKPDGZ2GKZB400YHQ0","coin_sig":"R93CPTXNRG6F3TGKCSRFV7RB0YDBM2CD8E16FZBX4VX46NAP1BCN8TQNTETPDRKXAEEWD1EBA3K2TD2J36T10Q4RA0A0BRNCX0SAT30","contribution":{"currency":"TESTKUDOS","fraction":10000000,"value":0},"denom_pub":"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30HHM6WW3CHHN8N1K8GHN6CT3CHJ38CWMAH9J84W42DSS6WWKJCT484WM8CHH74W3GD1S6RV46CA48CVK0CA570TM6CT668W46DHN611MACSG851KGHJ68MWK8DJ38GV3ECHN6CV42G9Q88S3ADSM74WKEGJ56GR3CC1P70VKECA58D23AD9R6RVKEE9N8MRM6GT28CVM2E9G6GWMADSQ71244G9R64WM8E9S8H2K4CA46GV3JE236H24AC1N70T3ECSS611MAC9M752M6H2364WM4H1J8GR32HA288VMCGT5610M4GSK64R34D9P8MTKAGHP8CVKJC1Q6H0KJCHK752M6CHP8N1K2H1R892MAG9N8D23GCT384W3EH1K6N1K8GA18N330C246GV32GSR84TKAC1R68V48CJ674RK0C9H8MRKADSS88W46DT28MRK8E1M68T38DSQ6GR3GE1R84W4CE1H6RSK6E2168TKADA388T44C216H2KAD1M60S38CA56X242GT574SKCH1J6WS38DJ284R48H9K8RSK6HJ56X0M4H2475334DSM74T4CH1R6N13AH9M6MSM4HHQ8S130GA48923CHJ56MT4CE9S6GTKECHP7514CGSM8N232CHH84R32HA58934AH9N6MR4CE1Q85334H9R6GWM2CT66S33JD9J8MRM4EA174T42CSM8D1M6GHJ6WTKEDSP68VKEGJ16113GDA28923CHHP6MV44G9H8N230H9J70W36GT4851KEC1R6N236HHK70VMCGJ48D24CCHS84R30HA588W4ADHS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00","exchange_url":"https://exchange.test.taler.net/","ub_sig":"51SPJSSDESGPR80A40M74WV140520818ECG26GSP6RS30DHQ8MVMCHHK71342GSS6D142HHM6X0M4CHG70V4CD9Q8N2KGDSH6H236C9H68VK2D1K6GT30CA48H1K6G9N6GW38H9Q8CWM6CHK691KAD9M6MW38HHJ60TK2HHH6X0M2DHN68TM8CHG6CT3ECJ48MVK8D1R8H13GCJ6691K6DT36CR30DHR8CSMAE1Q6RS3JE9N6D0M4C1P75238C9H6RT3GC9H84TM6H2684SKAH2661242CSS8RT4CHA388V3CCA664T3CD1K8H2M4DHN68V3GC9K8MVKCGJ18CS34CJ56133AGSP8RTK4C1S8D33AGJ18CSK0DA36RTKGD9H8CVMAE218RW38DSQ74T36HA388S42D9K61336DA165248GSN70T42CHK64SKJC226GR4AG9M8D33AC9J611KGC9Q8H2K6H1S74VMCC9N8MRKCDSJ84VM8GSS88R32E1K610MCDJ46N346DSN6S238HHS60WMADHR850M4DA6691MAGT564RK4D9M6RT3CCSJ6N1KAC1Q8CS3JGJ56N2M6GT18CR3AGHQ6MV4AC2564W4AHHM84RKCCJ46D1M2D1N6X0KADT36RSKGC9R6MWM2DSS8CTM6DT58MSKAG9K6S2KJGJ48CW36H9S6CWK8H2684W32D246GW4CDSP6D0K6CA28H13JHJ484SKECA58RVM2HHR8RR3AH2569332D9S8GVM4DHN852KEGT570RK0D9K6S1K0GSM84SM6E1M68TKGCHP651KCCA26D1KCCJ5692MCGSN650KAGHR84V3CG9M4CMGM81054520A8A00"},{"coin_pub":"2FH100V8B4XN9YBT7DM00QQ7MGR5SE2TMBJMB1N6H65XNJ04GRQG","coin_sig":"Z1D2R3KA56JRV304SEM5RS0A5XZ3E0HJ4DNFG96RDXW13GNMEQR4R78QJG3QYCYCKT82VTMFS800RMQRGD37B7HYSKJ0EK1YWER0A2R","contribution":{"currency":"TESTKUDOS","fraction":10000000,"value":0},"denom_pub":"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30HHM6WW3CHHN8N1K8GHN6CT3CHJ38CWMAH9J84W42DSS6WWKJCT484WM8CHH74W3GD1S6RV46CA48CVK0CA570TM6CT668W46DHN611MACSG851KGHJ68MWK8DJ38GV3ECHN6CV42G9Q88S3ADSM74WKEGJ56GR3CC1P70VKECA58D23AD9R6RVKEE9N8MRM6GT28CVM2E9G6GWMADSQ71244G9R64WM8E9S8H2K4CA46GV3JE236H24AC1N70T3ECSS611MAC9M752M6H2364WM4H1J8GR32HA288VMCGT5610M4GSK64R34D9P8MTKAGHP8CVKJC1Q6H0KJCHK752M6CHP8N1K2H1R892MAG9N8D23GCT384W3EH1K6N1K8GA18N330C246GV32GSR84TKAC1R68V48CJ674RK0C9H8MRKADSS88W46DT28MRK8E1M68T38DSQ6GR3GE1R84W4CE1H6RSK6E2168TKADA388T44C216H2KAD1M60S38CA56X242GT574SKCH1J6WS38DJ284R48H9K8RSK6HJ56X0M4H2475334DSM74T4CH1R6N13AH9M6MSM4HHQ8S130GA48923CHJ56MT4CE9S6GTKECHP7514CGSM8N232CHH84R32HA58934AH9N6MR4CE1Q85334H9R6GWM2CT66S33JD9J8MRM4EA174T42CSM8D1M6GHJ6WTKEDSP68VKEGJ16113GDA28923CHHP6MV44G9H8N230H9J70W36GT4851KEC1R6N236HHK70VMCGJ48D24CCHS84R30HA588W4ADHS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00","exchange_url":"https://exchange.test.taler.net/","ub_sig":"51SPJSSDESGPR80A40M74WV140520818ECG26DHJ8CVKCG9K6X13EGSH6X148DA188VM4GSR6WSK6CA56N2M8CHJ6CT30E9R6GT4CDSM6WTM4GSG6RRK6EA16CR3CHHN6WR36HA26WR3AH9J6WV38E1H84V32GSP60S34HHH6N238C1Q8RW38D236H144G9Q8CS30DSS89132HA46CTMCD1N60W4CE1S6133AG9M8D2K4CT36N34CGT4710MCH1J8GR3JGHM8MT3GC9J6MR42C9Q6S248CSG8GWMADSK652KED9R891KEDHQ6MTK0DJ48CS3CCA2750K2HJ5611KGG9S8S23CC9K6913CGSS60WKECT288WKAD1G8GSKGGJ26RVK8C1M6MV32HA168S48G9R8N142E9M89136DSQ68SK8E9S70RMACHQ8GV3GHHS6GWK2CJ46GWK8CA66CV3AGA1610M8E1M6RRMCCJ38S2K6G9M74RK0HJ274SK6GSP6H2M4DJ588RK6H9Q692KEH9M6MS3JCHM710M2GT56N1K2CSM8D348G9P60SK0HA16CT46HHN8GWM4E9Q8GT36D1Q8CWMAH1K6RW3CGSR70VK4EA58GRK2HA460W4AE9P691M6CT28S2K8E1N8MV46GHK64W3AC2275332DJ16H2KGHHS6MWKCEA364SM4CHJ6X1M6GA68RV44DHR6X0KCHJ58N23ED1N691K4EA660W42H9N68S48D216WT48D1R61144DA16CWKCE1N8MSK8GT175242CHK6GVK0CHH711M8EA4711M2CA48RR44E1H84T3EG9Q8GTM8GSM8D132GSS4CMGM81054520A8A00"},{"coin_pub":"4732J9B9ZQ6PS3Q8DJWS7ZEQASG16GEW8W0EDAG20TFR9NPTR1D0","coin_sig":"64WYJ3CBEVGDA568M6QBKYSYAMSY5Z9CB5TWHWMGKQF93VQ8ACQWZVN0MPZDAA7K8AKHG2HV4RYFQJ5F5Y933RX5KT15TNTZH43XG0G","contribution":{"currency":"TESTKUDOS","fraction":10000000,"value":0},"denom_pub":"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30HHM6WW3CHHN8N1K8GHN6CT3CHJ38CWMAH9J84W42DSS6WWKJCT484WM8CHH74W3GD1S6RV46CA48CVK0CA570TM6CT668W46DHN611MACSG851KGHJ68MWK8DJ38GV3ECHN6CV42G9Q88S3ADSM74WKEGJ56GR3CC1P70VKECA58D23AD9R6RVKEE9N8MRM6GT28CVM2E9G6GWMADSQ71244G9R64WM8E9S8H2K4CA46GV3JE236H24AC1N70T3ECSS611MAC9M752M6H2364WM4H1J8GR32HA288VMCGT5610M4GSK64R34D9P8MTKAGHP8CVKJC1Q6H0KJCHK752M6CHP8N1K2H1R892MAG9N8D23GCT384W3EH1K6N1K8GA18N330C246GV32GSR84TKAC1R68V48CJ674RK0C9H8MRKADSS88W46DT28MRK8E1M68T38DSQ6GR3GE1R84W4CE1H6RSK6E2168TKADA388T44C216H2KAD1M60S38CA56X242GT574SKCH1J6WS38DJ284R48H9K8RSK6HJ56X0M4H2475334DSM74T4CH1R6N13AH9M6MSM4HHQ8S130GA48923CHJ56MT4CE9S6GTKECHP7514CGSM8N232CHH84R32HA58934AH9N6MR4CE1Q85334H9R6GWM2CT66S33JD9J8MRM4EA174T42CSM8D1M6GHJ6WTKEDSP68VKEGJ16113GDA28923CHHP6MV44G9H8N230H9J70W36GT4851KEC1R6N236HHK70VMCGJ48D24CCHS84R30HA588W4ADHS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00","exchange_url":"https://exchange.test.taler.net/","ub_sig":"51SPJSSDESGPR80A40M74WV140520818ECG26GHQ8MWK8E268CT46CT46N34AG9P8H132H1Q6GTKEHHQ6H34CE218S14CCJ364RKGH1H6X244E9N6RRKGGA568T44GA16X0K0GA38RW48DT46N13CE9S84S3GE248MWKCG9R6D1M2CHP64W36D9J84T3GGHP6WTKJC266GV3CH9R70SKCC1S8N330GA160TM4C9S8H346DT6612K2H9K84R3GC1J8RTKCH9G6RTK4CSP6CR42E9N84S30GSK891KGE1S74WMAE1M6WS3CH2561146D226H2KGGSP74TM2C1S6X2KCDSK74TK8EA66N1M6H1J6RTK6CHR68W30D9Q750M8DJ364V4AGSQ8RRKEDA184S3ADHQ6MTKCE236CV3EHHN892MCGT365236D1G6WS42GHM8D14ACHR74T44HHK88WK2DSR6WTM6DHR85334C9N6D1M4E9S84W3JGSK6MS32CHG8MRK8CHG6GWKECT68H0K6DA6891KJDHP70TK4GT588SKADA18MR32HA164VK8GSN84S3AE9N60W3AH1H6N1M6H9H88T30CJ2692K2CSS6RS38CT4692KAD9J8CW3CC2684R3JC1H60RK0GT560R44C9P84V3ED1H8RTK6E9S6WV46DJ16GT36CHS60R38C216MSKECHN6N33CCA38RV3ADHN74VM6GA66MSM8H2368WKEDJ16WS32G9M84TK6GA488SKCD9Q8H148HA48GRKEGT389248DHJ68T42DHR8D1K2HHN74SKGGSP852M2GSM8N0M6EA56WRKCD9S8MRM4H254CMGM81054520A8A00"},{"coin_pub":"5BP7P00MGQVJY5NKPJ3R1Q75VRSN0NWJ5G1G26M9Y7Z3DM1PF120","coin_sig":"FVGZ1Y5MGFT3J9HPFREHPCWA42EG7M8V8RQS8DDQ9G4RCCMQ23V99YR033NRZGQNABJXF4PFH1JB10N2C0JB3R8CEKHRGXMH65PEG08","contribution":{"currency":"TESTKUDOS","fraction":10000000,"value":0},"denom_pub":"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30HHM6WW3CHHN8N1K8GHN6CT3CHJ38CWMAH9J84W42DSS6WWKJCT484WM8CHH74W3GD1S6RV46CA48CVK0CA570TM6CT668W46DHN611MACSG851KGHJ68MWK8DJ38GV3ECHN6CV42G9Q88S3ADSM74WKEGJ56GR3CC1P70VKECA58D23AD9R6RVKEE9N8MRM6GT28CVM2E9G6GWMADSQ71244G9R64WM8E9S8H2K4CA46GV3JE236H24AC1N70T3ECSS611MAC9M752M6H2364WM4H1J8GR32HA288VMCGT5610M4GSK64R34D9P8MTKAGHP8CVKJC1Q6H0KJCHK752M6CHP8N1K2H1R892MAG9N8D23GCT384W3EH1K6N1K8GA18N330C246GV32GSR84TKAC1R68V48CJ674RK0C9H8MRKADSS88W46DT28MRK8E1M68T38DSQ6GR3GE1R84W4CE1H6RSK6E2168TKADA388T44C216H2KAD1M60S38CA56X242GT574SKCH1J6WS38DJ284R48H9K8RSK6HJ56X0M4H2475334DSM74T4CH1R6N13AH9M6MSM4HHQ8S130GA48923CHJ56MT4CE9S6GTKECHP7514CGSM8N232CHH84R32HA58934AH9N6MR4CE1Q85334H9R6GWM2CT66S33JD9J8MRM4EA174T42CSM8D1M6GHJ6WTKEDSP68VKEGJ16113GDA28923CHHP6MV44G9H8N230H9J70W36GT4851KEC1R6N236HHK70VMCGJ48D24CCHS84R30HA588W4ADHS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00","exchange_url":"https://exchange.test.taler.net/","ub_sig":"51SPJSSDESGPR80A40M74WV140520818ECG26C9H8H346CHH610K0H1S88R38EA38GTKAH9R6RR34DJ664W36G9N64TMCGA589332D9P712M2E1P89330G9P8CT4AE9K6X332C9N88T36E1G6GV3JGA164TKCHHN88S38E9H74R3GDJ570VM4E1H70WM6HHG6CTK4CSS8MW4CD9N6GS3GCHM8S0K0DSQ8GR4AH1P6RR42CA5610K0CSM64RK4C1H6S2M8CJ16GRMAH9S84S34H1K60WK4E2488TKAHJ48RTM2DT170TKJE1J6N24AGHS6WSKCHJ169246G9G60VKECSN8GWMAG9Q60SK6HHJ68S48HHN88WKAE9R6D2KEH1Q8933EH9J61348C9M6D2M4H1N70TM8E1M6RS4CGHG8RW3EH9J6RVKEGHN71236C9R8MS38GJ288S3CGA26CV44D266RVK0DT26MW3GHA364WKGE1J70W3AHA28RTK2DJ46113EGT38H342G9P6X34CH226H2M8HA169132GJ28534CDHP88SM2CSM8N24CHHH6H33JHHQ6WS3ED1Q6WR3JCSS60V38H9P71232CJ46H238C9R8513GHHM88W4AGT288T34C9M8MS3GD9H8D2MAH9Q750K8E1G6D33ECJ16N23AH1G84S34CHR8GV3GDHG89230HJ18N0M6GT36GWKJG9Q6S2K2DSN88SM6C9S70SKEHA2852K2GA26RS42CSM710MAGJ38GV3EE2464RK6C216513ADSK8MR4ADT48CRMAE216MS42D9N8RT3JGSG6MVM4CHQ85130CA38H2K2CJ34CMGM81054520A8A00"},{"coin_pub":"68DN3GY5ERRQD8DC4ETGZQSDKK5BTVSH05ZAWQ6TA254HACG6PT0","coin_sig":"M13YJ33C50HAW6A6WTNPA92CGGTEPFCC9J3QTSP5FF8NZSPE99ANR1E82H1CXXJPH3G4CSJZKXHC2WMC7JS9YGFSSMH7GCY087NNP3R","contribution":{"currency":"TESTKUDOS","fraction":3000000,"value":0},"denom_pub":"51R7ARKCD5HJTTV5F4G0M818E9SP280A40G2GVH04CR30HHM6WW3CHHN8N1K8GHN6CT3CHJ38CWMAH9J84W42DSS6WWKJCT484WM8CHH74W3GD1S6RV46CA48CVK0CA570TM6CT668W46DHN611MACSG851KGHJ68MWK8DJ38GV3ECHN6CV42G9Q88S3ADSM74WKEGJ56GR3CC1P70VKECA58D23AD9R6RVKEE9N8MRM6GT28CVM2E9G6GWMADSQ71244G9R64WM8E9S8H2K4CA46GV3JE236H24AC1N70T3ECSS611MAC9M752M6H2364WM4H1J8GR32HA288VMCGT5610M4GSK64R34D9P8MTKAGHP8CVKJC1Q6H0KJCHK752M6CHP8N1K2H1R892MAG9N8D23GCT384W3EH1K6N1K8GA18N330C246GV32GSR84TKAC1R68V48CJ674RK0C9H8MRKADSS88W46DT28MRK8E1M68T38DSQ6GR3GE1R84W4CE1H6RSK6E2168TKADA388T44C216H2KAD1M60S38CA56X242GT574SKCH1J6WS38DJ284R48H9K8RSK6HJ56X0M4H2475334DSM74T4CH1R6N13AH9M6MSM4HHQ8S130GA48923CHJ56MT4CE9S6GTKECHP7514CGSM8N232CHH84R32HA58934AH9N6MR4CE1Q85334H9R6GWM2CT66S33JD9J8MRM4EA174T42CSM8D1M6GHJ6WTKEDSP68VKEGJ16113GDA28923CHHP6MV44G9H8N230H9J70W36GT4851KEC1R6N236HHK70VMCGJ48D24CCHS84R30HA588W4ADHS4CMGM81051JJ08SG64R30C1H4CMGM81054520A8A00","exchange_url":"https://exchange.test.taler.net/","ub_sig":"51SPJSSDESGPR80A40M74WV140520818ECG26DSS6CWKACT464W3GH266H2KECSR64SM8DSH6MRKEC1K8GT3CD9G8RT34GHM70SKACA1610MACSP6D232GJ68H342H9J6RR3GD216D24CGT665248CA46CV3CH9P8CT30CJ385346CHQ8RS3ED1M6GT46HJ4650M2E1N6RWKGDJ18CSM2DHJ6RRM2GHH8523ACHP74WKCGSP84R3EDA66RR3AGT16CRMCHHG8H0M6E9M6WR30E1G6WSM8E9H8CT36DA58S348G9G6CS34H236S0K6G9M8CT44GA26533GGA46CSKJE1P64TM4H1M68TK6E9M8H134E2388R36GA16S2KCDHS64RKJGHS64S34G9G70R36CHH7113ECHP6GTK6H9N6933ADSP8MT3EH1P6CWM6DA56RT30G9R60R4CCSN70RM2GJ26WT32HHJ6N332GSJ712KGH9N75234H1K60T3GHJ56D338CA58GRKEE9S850M2CSJ88WK4DSJ6RTMACA485338GSP6N136H2464SK8DT260TM2GSS6MS44D1H8CSM4GHM6WTK2DSQ60TK0C1J64T4CHA28GS36G9J8CSM8H1P74T48E9R6MWKCGA68H0M4EA28GSKACA274RKJC1H6RWMAH9N64W4ACT56N132G9P8D2M6D2588VK6E9M6533JE9K70RKAE1S6CTKED226X230E1N8N33CDA68N336DA488S4CHHG85344DHK8RWKEC228RS3CE9Q891K2E9H8MW34D9J650KJGJ16WR34DSR6RT3JE9K6MV3ECSK64R36D1N4CMGM81054520A8A00"}],"merchant_pub":"RWFESGTV3N9AS073Q6NR5CRF2E2NGPPH6KGD2NCWW1BF7N0D3XRG","mode":"pay","order_id":"2018.019.15.30.06-00G9SFFG1Z75W","session_id":"724f1e85-8e7a-42fe-91c3-729fa01a5703"}' --compressed

Christian Grothoff

2018-01-22 16:21

manager   ~0012818

The assertion on that line was slightly wrong. It was supposed to assert that refunds <= payments, but asserted refunds < payments.

Fixed in d66cae9..bee5098

Issue History

Date Modified Username Field Change
2018-01-20 13:19 Florian Dold New Issue
2018-01-20 13:19 Florian Dold Status new => assigned
2018-01-20 13:19 Florian Dold Assigned To => Christian Grothoff
2018-01-20 13:19 Florian Dold File Added: curl-merchant-refund-pay-crash.txt
2018-01-22 16:21 Christian Grothoff Status assigned => resolved
2018-01-22 16:21 Christian Grothoff Resolution open => fixed
2018-01-22 16:21 Christian Grothoff Fixed in Version => 0.5
2018-01-22 16:21 Christian Grothoff Note Added: 0012818
2018-04-15 20:33 Christian Grothoff Status resolved => closed